A template
curl --request GET \
--url https://api.getreply.in/v1/templates/{name} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/templates/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/templates/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/templates/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"name": "<string>",
"language": "<string>",
"category": "<string>",
"status": "approved",
"rejection_reason": "<string>",
"quality": "<string>",
"header_type": "<string>",
"header_text": "<string>",
"body": "<string>",
"footer": "<string>",
"variables": 123,
"buttons": [
{}
]
}Templates
A template
One template by name (add ?language= when it has more than one language).
Permission: Any key (Full, Send only or Read only).
GET
/
v1
/
templates
/
{name}
A template
curl --request GET \
--url https://api.getreply.in/v1/templates/{name} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/templates/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/templates/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/templates/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"name": "<string>",
"language": "<string>",
"category": "<string>",
"status": "approved",
"rejection_reason": "<string>",
"quality": "<string>",
"header_type": "<string>",
"header_text": "<string>",
"body": "<string>",
"footer": "<string>",
"variables": 123,
"buttons": [
{}
]
}Authorizations
Your API key, e.g. gr_live_…
Path Parameters
The name.
Query Parameters
A language code.
Response
The template.